//-------------------------------------------------------------------------------------------------------
// Copyright (C) Microsoft. All rights reserved.
// Licensed under the MIT license. See LICENSE.txt file in the project root for full license information.
//-------------------------------------------------------------------------------------------------------
#import "IconElement.h"

enum Symbol
{
    Accept = 0xe10b,
    Account = 0xe168,
    Add = 0xe109,
    AddFriend = 0xe1e2,
    Admin = 0xe1a7,
    AlignCenter = 0xe1a1,
    AlignLeft = 0xe1a2,
    AlignRight = 0xe1a0,
    AllApps = 0xe179,
    Attach = 0xe16c,
    AttachCamera = 0xe12d,
    Audio = 0xe189,
    Back = 0xe112,
    BackToWindow = 0xe1d8,
    BlockContact = 0xe1e0,
    Bold = 0xe19b,
    Bookmarks = 0xe12f,
    BrowsePhotos = 0xe155,
    Bullets = 0xe133,
    Calculator = 0xe1d0,
    Calendar = 0xe163,
    CalendarDay = 0xe161,
    CalendarReply = 0xe1db,
    CalendarWeek = 0xe162,
    Camera = 0xe114,
    Cancel = 0xe10a,
    Caption = 0xe15a,
    CellPhone = 0xe1c9,
    Character = 0xe164,
    Clear = 0xe106,
    ClearSelection = 0xe1c5,
    Clock = 0xe121,
    ClosedCaption = 0xe190,
    ClosePane = 0xe127,
    Comment = 0xe134,
    Contact = 0xe13d,
    Contact2 = 0xe187,
    ContactInfo = 0xe136,
    ContactPresence = 0xe181,
    Copy = 0xe16f,
    Crop = 0xe123,
    Cut = 0xe16b,
    Delete = 0xe107,
    Directions = 0xe1d1,
    DisableUpdates = 0xe194,
    DisconnectDrive = 0xe17a,
    Dislike = 0xe19e,
    DockBottom = 0xe147,
    DockLeft = 0xe145,
    DockRight = 0xe146,
    Document = 0xe130,
    Download = 0xe118,
    Edit = 0xe104,
    Emoji = 0xe11d,
    Emoji2 = 0xe170,
    Favorite = 0xe113,
    Filter = 0xe16e,
    Find = 0xe11a,
    Flag = 0xe129,
    Folder = 0xe188,
    Font = 0xe185,
    FontColor = 0xe186,
    FontDecrease = 0xe1c6,
    FontIncrease = 0xe1c7,
    FontSize = 0xe1c8,
    Forward = 0xe111,
    FourBars = 0xe1e9,
    FullScreen = 0xe1d9,
    Globe = 0xe12b,
    Go = 0xe143,
    GoToStart = 0xe1e4,
    GoToToday = 0xe184,
    HangUp = 0xe137,
    Help = 0xe11b,
    HideBcc = 0xe16a,
    Highlight = 0xe193,
    Home = 0xe10f,
    Import = 0xe150,
    ImportAll = 0xe151,
    Important = 0xe171,
    Italic = 0xe199,
    Keyboard = 0xe144,
    LeaveChat = 0xe11f,
    Library = 0xe1d3,
    Like = 0xe19f,
    LikeDislike = 0xe19d,
    Link = 0xe167,
    List = 0xe14c,
    Mail = 0xe119,
    MailFilled = 0xe135,
    MailForward = 0xe120,
    MailReply = 0xe172,
    MailReplyAll = 0xe165,
    Manage = 0xe178,
    Map = 0xe1c4,
    MapDrive = 0xe17b,
    MapPin = 0xe139,
    Memo = 0xe1d5,
    Message = 0xe15f,
    Microphone = 0xe1d6,
    More = 0xe10c,
    MoveToFolder = 0xe19c,
    MusicInfo = 0xe142,
    Mute = 0xe198,
    NewFolder = 0xe1da,
    NewWindow = 0xe17c,
    Next = 0xe101,
    OneBar = 0xe1e6,
    OpenFile = 0xe1a5,
    OpenLocal = 0xe197,
    OpenPane = 0xe126,
    OpenWith = 0xe17d,
    Orientation = 0xe14f,
    OtherUser = 0xe1a6,
    OutlineStar = 0xe1ce,
    Symbol_Page = 0xe132,
    Page2 = 0xe160,
    Paste = 0xe16d,
    Pause = 0xe103,
    People = 0xe125,
    Permissions = 0xe192,
    Phone = 0xe13a,
    PhoneBook = 0xe1d4,
    Pictures = 0xe158,
    Pin = 0xe141,
    Placeholder = 0xe18a,
    Play = 0xe102,
    PostUpdate = 0xe1d7,
    Preview = 0xe295,
    PreviewLink = 0xe12a,
    Previous = 0xe100,
    Priority = 0xe182,
    ProtectedDocument = 0xe131,
    Read = 0xe166,
    Redo = 0xe10d,
    Refresh = 0xe149,
    Remote = 0xe148,
    Remove = 0xe108,
    Rename = 0xe13e,
    Repair = 0xe15e,
    RepeatAll = 0xe1cd,
    RepeatOne = 0xe1cc,
    ReportHacked = 0xe1de,
    ReShare = 0xe1ca,
    Rotate = 0xe14a,
    RotateCamera = 0xe124,
    Save = 0xe105,
    SaveLocal = 0xe159,
    Scan = 0xe294,
    SelectAll = 0xe14e,
    Send = 0xe122,
    SetLockScreen = 0xe18c,
    SetTile = 0xe18d,
    Setting = 0xe115,
    Shop = 0xe14d,
    ShowBcc = 0xe169,
    ShowResults = 0xe15c,
    Shuffle = 0xe14b,
    SlideShow = 0xe173,
    SolidStar = 0xe1cf,
    Sort = 0xe174,
    Stop = 0xe15b,
    StopSlideShow = 0xe191,
    Street = 0xe1c3,
    Switch = 0xe13c,
    SwitchApps = 0xe1e1,
    Sync = 0xe117,
    SyncFolder = 0xe1df,
    Tag = 0xe1cb,
    Target = 0xe1d2,
    ThreeBars = 0xe1e8,
    TouchPointer = 0xe1e3,
    Trim = 0xe12c,
    TwoBars = 0xe1e7,
    TwoPage = 0xe11e,
    Underline = 0xe19a,
    Undo = 0xe10e,
    UnFavorite = 0xe195,
    UnPin = 0xe196,
    UnSyncFolder = 0xe1dd,
    Up = 0xe110,
    Upload = 0xe11c,
    Video = 0xe116,
    VideoChat = 0xe13b,
    View = 0xe18b,
    ViewAll = 0xe138,
    Volume = 0xe15d,
    WebCam = 0xe156,
    World = 0xe128,
    ZeroBars = 0xe1e5,
    Zoom = 0xe1a3,
    ZoomIn = 0xe12e,
    ZoomOut = 0xe1a4
};

@interface SymbolIcon : IconElement

@property enum Symbol Symbol;

- (id)initWithIconString:(NSString*)s;
+ (unsigned long)parseSymbol:(NSString*)s;

@end
